////////////////////////////////////////////////////////////////////////////////
//  CQ出版社 インターフェース 2008年7月号
//
//  初音ミク・グラフィック表示
//  FRマイコン用プログラム	Copyright(c)2008 Sumio Morioka
//  morioka@fb3.so-net.ne.jp,  http://www002.upp.so-net.ne.jp/morioka/
//
//  本プログラムコードの商業利用，および改変ファイルの二次配布を禁じます．それ以外の
//  利用はとくに制限しませんが，利用によって生じた被害・不利益などに対しては，一切
//  責任を負いませんのでご了承ください．
//
//  また，本プログラムのサンプルとして同梱される初音ミク，はちゅねミク，鏡音リン・レンの
//  画像（フォント・データも含む）は，クリプトン・フューチャー・メディア株式会社
// （http://www.crypton.co.jp）の著作物です．商業利用等については同社へ問い合わせてください．
//
//
// History:
// 1. Original coding by Sumio Morioka, 2008/04/15
//
////////////////////////////////////////////////////////////////////////////////

#include "_fr.h"


void cls(void)
{
	int	x, y;
	for (y = 0; y < 16; y++) {
		for (x = 0; x < 42; x++) {
			set_cursor(x, y);
			IO_OSDC.IO_OSD_CD1.hword=0x0800;	/* 属性設定 */
			IO_OSDC.IO_OSD_CD2.hword=0x46FC;	/* 文字コード */
		}
	}
}


void main()
{
	int	code;
	int	x, y;

	__set_il(0x1F); /* ILM = 31 */
	__EI(); /* Interrupt enable */

	ppg_init(); /* PPG初期化関数 */
	osdc_init(); /* OSD初期化関数 */

	cls();

	code	= 0x4000;
	for (y = 0; y < 15; y++) {
		for (x = 0; x < 13; x++) {
			set_cursor(x, y);
			IO_OSDC.IO_OSD_CD1.hword=0x0800;	/* 属性設定 */
			IO_OSDC.IO_OSD_CD2.hword=code;		/* 文字コード */
			code	+= 4;
		}
	}

	while(1) {
		;
	}
}

